getOrpcHttpRequest
Encodes the call as described by the oRPC RPC protocol.
GET sends the input in the
data
query param. Files and urls over the length limit fall back to POST,
the same as the
RPCLink
of oRPC.
Import
import { getOrpcHttpRequest } from "@hyper-fetch/orpc"
Source
Package
Parameters
getOrpcHttpRequest(__namedParameters: { endpoint: string; headers: HeadersInit; payload: unknown; queryMethod: OrpcQueryMethod; queryParams: unknown; request: RequestInstance; serializer: StandardRPCSerializer })
Parameters
| Name | Type | Description |
|---|---|---|
| __namedParameters | |
Returns
OrpcHttpRequestType

